### Interface

# EvinceDocument AsyncRenderer

#### Description

    interface EvinceDocument.AsyncRenderer : GObject.Object

No description available.

#### Prerequisite

In order to implement AsyncRenderer, your type must inherit from`GObject`.

#### Instance methods

###### ev_async_renderer_render_pixbuf

No description available.

#### Signals

###### EvinceDocument.AsyncRenderer::render-finished

No description available.

#### Interface structure

    struct EvinceDocumentAsyncRendererInterface {
      GTypeInterface base_iface;
      void (* render_finished) (
        EvAsyncRenderer* renderer,
        GdkPixbuf* pixbuf
      );
      void (* render_pixbuf) (
        EvAsyncRenderer* renderer,
        int page,
        double scale,
        int rotation
      );

    }

No description available.

###### Interface members

`base_iface`

    GTypeInterface

| No description available.

`render_finished`

    void (* render_finished) (
        EvAsyncRenderer* renderer,
        GdkPixbuf* pixbuf
      )

| No description available.

`render_pixbuf`

    void (* render_pixbuf) (
        EvAsyncRenderer* renderer,
        int page,
        double scale,
        int rotation
      )

| No description available.

#### Virtual methods

###### EvinceDocument.AsyncRenderer.render_finished

No description available.

###### EvinceDocument.AsyncRenderer.render_pixbuf

No description available.